
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <time.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int
main ( int argc, char *argv[] )
{

	char outstr[200];
	time_t t;
	t = time (NULL);

	struct tm *tmp;
	tmp = localtime(&t);


	if (tmp == NULL)
	{
		perror("localtime");
		exit(EXIT_FAILURE);
	}

	int opciya;
	int bydefault;

	bydefault = 1;
	opterr = 0;

	while ((opciya = getopt(argc,argv,"Ru")) != -1 )
	{
		switch(opciya)
		{

		case 'R':
			bydefault = 0;
			strftime (outstr, sizeof(outstr), "%a, %d %b %X %Y %z", tmp);
			break;

		case 'u':
			bydefault = 0;
			tmp = gmtime(&t);
			
			if (tmp == NULL)
			{
				perror("gmtime");
				exit(EXIT_FAILURE);
			}

			strftime(outstr, sizeof(outstr), "%a %b %e %X %Z %Y", tmp);
			break;

		default:
			fprintf(stderr,"date2: неверный ключ -%s \n", argv[1]);
			exit(EXIT_FAILURE);
			break;	
		}
	}

	if (bydefault == 1)
		strftime(outstr, sizeof (outstr), "%a %b %e %X %Z %Y", tmp);

	printf ("%s\n",outstr);

	exit(EXIT_SUCCESS);
}
